Get purchase order by ID
https://api.propexo.com/v1/purchase-orders/:purchase_order_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the purchase order
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the purchase order
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /PurchaseOrders |
101The external ID of the property from the integration vendor
| Method |
|---|
| GET /PurchaseOrders |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /PurchaseOrders |
1The external ID of the invoice from the integration vendor
This field will always be null for RENTMANAGER
nullThe external ID of the vendor from the integration vendor
| Method |
|---|
| GET /PurchaseOrders |
245The external ID of the purchase order from the integration vendor. This field is not null if this is a change order
This field will always be null for RENTMANAGER
nullThe number of the purchase order
| Method |
|---|
| GET /PurchaseOrders |
PO-1001Whether the purchase order is closed or not
| Method |
|---|
| GET /PurchaseOrders |
Description of the purchase order
| Method |
|---|
| GET /PurchaseOrders |
Monthly maintenance suppliesThe amount of the purchase order, in cents
| Method |
|---|
| GET /PurchaseOrders |
25000The order date for the purchase order
| Method |
|---|
| GET /PurchaseOrders |
2024-06-18T00:00:00.000ZThe expense type of the purchase order
This field will always be null for RENTMANAGER
nullThe display type of the purchase order
This field will always be null for RENTMANAGER
nullThe raw status associated with the purchase order
| Method |
|---|
| GET /PurchaseOrders |
PendingThe first address line associated with the shipping address for the purchase order
Due to Rent Manager API limitations, we are unable to separate the components of an address
| Method |
|---|
| GET /PurchaseOrders |
410 Southblock Ave Unit 415 Cincinnati OH 45202The second address line associated with the shipping address for the purchase order
This field will always be null for RENTMANAGER
nullThe city associated with the shipping address for the purchase order
This field will always be null for RENTMANAGER
nullThe state associated with the shipping address for the purchase order
This field will always be null for RENTMANAGER
nullThe zip code associated with the shipping address for the purchase order
This field will always be null for RENTMANAGER
nullThe country associated with the shipping address for the purchase order
This field will always be null for RENTMANAGER
nullThe first address line associated with the billing address for the purchase order
Due to Rent Manager API limitations, we are unable to separate the components of an address
| Method |
|---|
| GET /PurchaseOrders |
100 Main St Suite 200 Chicago IL 60601The second address line associated with the billing address for the purchase order
This field will always be null for RENTMANAGER
nullThe city associated with the billing address for the purchase order
This field will always be null for RENTMANAGER
nullThe state associated with the billing address for the purchase order
This field will always be null for RENTMANAGER
nullThe zip code associated with the billing address for the purchase order
This field will always be null for RENTMANAGER
nullThe country associated with the billing address for the purchase order
This field will always be null for RENTMANAGER
nullcustom_data object | nullrequired
An array of all other invoices associated with a purchase order. This includes invoices that associated with specific purchase order items.
This field is not currently hydrated for RENTMANAGER
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERThe Propexo unique identifier for the invoice
This field will always be null for RENTMANAGER
nullThe Propexo unique identifier for the vendor
| Method |
|---|
| GET /PurchaseOrders |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the purchase order. This field is not null if this is a change order
This field will always be null for RENTMANAGER
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/purchase-orders/:purchase_order_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "101",
"x_property_id": "na",
"x_location_id": "1",
"x_invoice_id": null,
"x_vendor_id": "245",
"x_parent_purchase_order_id": null,
"number": "PO-1001",
"is_closed": true,
"description": "Monthly maintenance supplies",
"total_amount_in_cents": 25000,
"order_date": "2024-06-18T00:00:00.000Z",
"expense_type": null,
"display_type": null,
"status_raw": "Pending",
"shipping_address_1": "410 Southblock Ave Unit 415 Cincinnati OH 45202",
"shipping_address_2": null,
"shipping_city": null,
"shipping_state": null,
"shipping_zip": null,
"shipping_country": null,
"billing_address_1": "100 Main St Suite 200 Chicago IL 60601",
"billing_address_2": null,
"billing_city": null,
"billing_state": null,
"billing_zip": null,
"billing_country": null,
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"invoice_id": null,
"vendor_id": "cmgjprasu79183794371b9g9kvrcrejv",
"parent_purchase_order_id": null
}
}